Skip to the page

Set the scheduled stop and start

PUT/v1/organisations/{id}/environments/{envId}/schedule

Operation settings.schedule · since 2026-11-05 · stable

Needs a session withwritescopeAnswers200 OK

Path parameters

idstring (uuid)required
The organisation id.
envIdstring (uuid)required
The environment id.

Body (JSON)

timezonestringrequired
An IANA time zone, like America/Chicago.
stopstringrequired
When to stop, HH:MM.
startstringrequired
When to start, HH:MM.
daysarray of integersrequired
Days 0 (Sunday) to 6, one to seven of them.
enabledbooleanoptional
Default true.
wakeOnRequestbooleanoptional
Wake when someone opens its wake link while it is stopped.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

PUT/v1/organisations/{id}/environments/{envId}/schedule
curl -X PUT "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/schedule" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "timezone": "America/Chicago",
  "stop": "19:00",
  "start": "07:00",
  "days": [
    1,
    2,
    3,
    4,
    5
  ],
  "wakeOnRequest": true
}'